<%--    	solution to exercise 4 for JSP 0 training 		--%>
<%--     	 Stefano Adriani - 02/05/2001   			--%>

<% /* Here the bean is instanciated with scope="application", hence there will be a single instance for ANY USER */ %>
<% /* For this reason the state of the bean will persist even if the browser is closed !!!		 	 */ %>
<% /* To restore the initial state it is necessary to restart the JSP server or 	*/ 	%>
<% /* to call controllerBean.initialize() 	(from a administration page)		*/ 	%>

<jsp:useBean id="controllerBean" class="adriani.tutorial.jsp.ControllerBean" scope="application" />
<jsp:setProperty name="controllerBean" property="*" />

<% 
  /* We set "manually" the AMOUNT property for this bean since it cames from a html SELECT, not from an html INPUT */ 
  /* Some versions of the JavaBeans Specifications sets this properties, newer version does not 		*/ 	
  controllerBean.setAmount(request.getParameter("amount")); 
%>

<html>

<head><title>JSP 0 Training</title></head>

<body><font face = "verdana">


<%	
	try {
		long result = controllerBean.process();
		
		// See the bean's API for meaning of value "result"
		if ( result == 0) {
%>

		<H2>OPERATION SUCCESFULL</H2>
		<p><hr><p>
		Thank you <%= controllerBean.getFirstName() %>&nbsp<%= controllerBean.getLastName() %>.<br>
		You did withdraw <%= controllerBean.getAmount() %> dollars.
		<p>
		Your cash availability for today is <%= controllerBean.getLeftAmount() %> dollars.
		<p>
		Goodbye.
		<hr>

<%
	} else {
	
		String message = "none" ;
		if (result == 1) message = "Please, check that your login is correct ..." ;
		if (result == 2) message = "Please, check that your password is correct ..." ;
		if (result == 3) message = "We apologize, but you reached the maximum withdraw amount for today" ;
%>

		<H2>SORRY ... </H2>
		<p><%= message %><p>
		<hr>

<%
		}
	} catch (Exception e) {
	
%>
		<BR><H2>ERROR ...</H2><BR>
<%
	}
%>

<a href="third.html">Go back</a>

</font>
</body>
</html>